%define rname ldap
%define name ruby-%{rname}
%define version 0.9.8
%define release %mkrel 1

Summary: Ruby extension library for accessing LDAP API
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://ruby-ldap.sourceforge.net/
Source0: http://ovh.dl.sourceforge.net/sourceforge/ruby-ldap/ruby-%{rname}-%{version}.tar.bz2
Patch0: ruby-ldap-0.9.7-openldap.patch
License: BSD-like
Group: Development/Ruby
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8
BuildRequires: ruby-devel openldap-devel

%description
Ruby/LDAP is an extension module for ruby, it provides the interface to some
LDAP libraries (for example, OpenLDAP, UMich LDAP, Netscape SDK,
ActiveDirectory). The common API for application developments is described in
RFC1823, Most of libraries comply with it.
This package is build with OpenLDAP2.

%prep
%setup -q 
%patch0 -p1

%build
ruby extconf.rb
make
chmod 0644 test/*.rb
chmod 0755 example/cgi/search.cgi

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/*
%{ruby_sitearchdir}/*.so
%doc COPYING README FAQ ChangeLog example/ test/



%changelog
* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0.9.8-1mdv2010.1
+ Revision: 533654
- New version 0.9.8

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-3mdv2008.1
+ Revision: 137973
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.7-2mdv2008.0
+ Revision: 16780
- Use Development/Ruby group


* Thu Aug 24 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.7-1mdv2007.0
- New release 0.9.7

* Thu Apr 20 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.5-1mdk
- 0.9.5
- mkrel
- use system macros

* Sun Mar 12 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.4-1mdk
- 0.9.4

* Wed Feb 22 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.3-1mdk
- New release 0.9.3

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-2mdk
- rebuilt against new openldap-2.3.6 libs

* Mon Jul 11 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.2-1mdk
- 0.9.2

* Thu Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.1-2mdk
- lib64 fix

* Tue Mar 15 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.1-1mdk
- 0.9.1

* Tue Feb 08 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.4-1mdk
- 0.8.4

* Mon Feb 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.8.3-2mdk
- rebuild for ldap2.2_7

* Mon Jan 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.8.3-1mdk 
- first mdk release

